//
//  CSDrawingContext.h
//  Comic Life
//
//  Created by Robert Grant on 10/3/07.
//  Copyright 2007 plasq LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/**
 * an interface that allows model rendering code to query various
 * drawing states
 */
@protocol CSDrawingContext

- (BOOL)isPrinting;
- (float)zoomLevel;
- (BOOL)isRespondingToUserInput;

@end
